*,
::before,
::after {
    box-sizing: border-box;
}

a {
    text-decoration: none;
}

.shortcode {
    display: flex;
    justify-content: center;
    line-height: 1.5;
    font-size: 14px;
}
.shortcode-product {
    padding: 10px;
    width: 100%;
    max-width: 422px;
    background-color: #fff;
    border: 1px solid #f1f1f1;
    box-shadow: 0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1);
}

.shortcode-product-title a {
    color: #333;
}
.shortcode-head {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 40px;
    font-size: 16px;
    font-weight: bold;
    overflow: hidden;
    border-radius: 8px;
    box-shadow: 0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1), inset 0 -4px 8px 0 rgb(0 0 0 / 0.05);
}
.shortcode-head::after {
    content: '';
    position: absolute;
    right: -12px;
    bottom: -12px;
    width: 24px;
    height: 24px;
    background-color: rgb(23, 184, 243);
    transform: rotate(-45deg);
}
.shortcode-head:hover {
    background-color: #eee;
}
.shortcode-body,
.shortcode-body > :not([hidden]) ~ :not([hidden]) {
    margin-top: 10px;
}

.shortcode-section > :not([hidden]) ~ :not([hidden]) {
    margin-top: 8px;
}
.shortcode-list {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    /* column-gap: 10px; */
}
.shortcode-list label input[type=radio] {
    display: none;
}
.shortcode-list input[type=radio]:checked ~ span {
    background-color: #1e3e9f;
    color: white;
}
.shortcode-list input[type=radio]:disabled ~ span.shortcode-btn {
    background-color: #f1f1f1;
    cursor: not-allowed;
}
.shortcode-btn {
    text-wrap: nowrap;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 28px;
    min-width: 92px;
    font-size: 12px;
    padding: 0 20px;
    border-radius: 4px;
    border: 0;
    box-shadow: 0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1);
    background-color: #fff;
    cursor: pointer;
}
.shortcode-btn.confirm {
    background-color: #008000;
    color: #fff;
}
.shortcode-btn svg {
    width: 14px;
    height: 14px;
}


.shortcode-list.overflow-x {
    overflow-x: auto;
    padding: 1px;
}

.shortcode-title {
    padding: 2px 8px;
    background: #e0e0e0;
    font-size: 14px;
    color: #333;
}

.sim-locked .shortcode-list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.price-type .shortcode-list {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
}

.price-value .shortcode-list {
    flex-direction: column;
    row-gap: 2px;
}

.shortcode-item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 10px;
    height: 44px;
    font-size: 12px;
    color: #333;
}
.shortcode-item-left {
    display: flex;
    align-items: center;
    column-gap: 10px;
}
.shortcode-item-right {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    column-gap: 8px;
}
.price-value-name {
    font-weight: bold;
}
.price-value-damaged {
    display: flex;
    align-items: center;
    column-gap: 1px;
    padding: 1px 12px;
    font-size: 10px;
    border-radius: 9999px;
    color: #fff;
    cursor: pointer;
}

.shortcode-item.a,
.shortcode-item.b,
.shortcode-item.c {
    background-color: #f0f0f0;
}
.shortcode-item.junk {
    background-color: #e5f1ff;
}

.a .price-value-damaged {
    background-color: #97c548;
}
.b .price-value-damaged {
    background-color: #2093c3;
}
.c .price-value-damaged {
    background-color: #464646;
}
.junk .price-value-damaged {
    background-color: #e51;
}
.price-value-damaged:hover {
    background-color: #fd115d;
}

.addto-cart {
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: 4px;
    font-size: 12px;
    padding: 6px 0;
    min-width: 80px;
    height: 28px;
    border: 0;
    border-radius: 9999px;
    background-color: #b7a672;
    color: #fff;
    cursor: pointer;
}

.addto-cart:hover {
     background-color: #b7a672cc;
}
.addto-cart:disabled {
    background-color: #ccc;
    cursor: not-allowed;
}

.addto-cart svg {
    width: 14px;
    height: 14px;
}

.message {
    font-size: 12px;
    color: #333;
}

.form-select {
    padding: 4px 10px;
    width: 100%;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 14px;
    height: 28px;
}

.cart-prices {
    position: relative;
}
